summaryrefslogtreecommitdiffstats
path: root/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-01-14 20:36:17 +0000
committer Eric Hameleers <alien@slackware.com>2021-01-15 08:59:50 +0100
commitec86cffd8eec12d657afec63d5da1ad84b43d510 (patch)
tree90c70230154332c27b12e0406f464967152986ed /source/a/usb_modeswitch/usb_modeswitch.SlackBuild
parenta1b82f3ef322065db8e1e4f21b3a80e35a1bb514 (diff)
downloadcurrent-ec86cffd8eec12d657afec63d5da1ad84b43d510.tar.gz
current-ec86cffd8eec12d657afec63d5da1ad84b43d510.tar.xz
Thu Jan 14 20:36:17 UTC 202120210114203617
a/gptfdisk-1.0.6-x86_64-1.txz: Upgraded. a/usb_modeswitch-2.6.1-x86_64-1.txz: Upgraded. ap/nano-5.5-x86_64-1.txz: Upgraded. l/Mako-1.1.4-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.18.3-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.18.3-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.18.3-x86_64-1.txz: Upgraded. l/gstreamer-1.18.3-x86_64-1.txz: Upgraded. l/system-config-printer-1.5.15-x86_64-1.txz: Upgraded. l/wavpack-5.4.0-x86_64-1.txz: Upgraded. WavPack 5.4.0 fixes an issue where a specially crafted WAV file could cause the wavpack command-line program to crash with an out-of-bounds write. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-35738 (* Security fix *) l/xapian-core-1.4.18-x86_64-1.txz: Upgraded. tcl/tk-8.6.11.1-x86_64-1.txz: Upgraded. x/mesa-20.3.3-x86_64-1.txz: Upgraded. Added options: -Dvulkan-device-select-layer=true -Dopengl=true -Dglx=dri Add a symlink for libGLX_system.so.0. Use a more complete patch for converting from drmPciDeviceInfo to uint32_t in device_select.h and device_select_layer.c. xfce/thunar-4.16.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/usb_modeswitch/usb_modeswitch.SlackBuild')
-rwxr-xr-xsource/a/usb_modeswitch/usb_modeswitch.SlackBuild18
1 files changed, 5 insertions, 13 deletions
diff --git a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
index 97392fc1e..27f3dfcc4 100755
--- a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
+++ b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
@@ -1,8 +1,6 @@
#!/bin/bash
-# Slackware build script for usb_modeswitch.
-
-# Copyright 2010, 2012, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012, 2013, 2015, 2017, 2018, 2019, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# Copyright 2010 David Somero, Athens, TN, USA
# All rights reserved.
#
@@ -26,9 +24,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=usb_modeswitch
-VERSION=${VERSION:-2.5.2}
+VERSION=${VERSION:-2.6.1}
DATAVER=${DATAVER:-20191128}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,7 +70,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCPKGNAM-$VERSION
-tar xvf $CWD/$SRCPKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCPKGNAM-$VERSION.tar.?z || exit 1
cd $SRCPKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -82,8 +80,6 @@ find . \
-exec chmod 644 {} \+
make clean || exit 1
-# "make static" uses the embedded "jim" Tcl interpreter
-make static || exit 1
make \
DESTDIR=$PKG \
@@ -116,10 +112,6 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
# http://www.draisberghof.de/usb_modeswitch/device_reference.txt.gz
zcat $CWD/device_reference.txt.gz > $PKG/usr/doc/$PKGNAM-$VERSION/device_reference.txt
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/jim
-cp -a \
- jim/{AUTHORS,LICENSE,README*} \
- $PKG/usr/doc/$PKGNAM-$VERSION/jim
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
@@ -132,7 +124,7 @@ fi
# Now, install the data pack:
cd $TMP
rm -rf usb-modeswitch-data-${DATAVER}
-tar xvf $CWD/usb-modeswitch-data-${DATAVER}.tar.?z* || exit 1
+tar xvf $CWD/usb-modeswitch-data-${DATAVER}.tar.?z || exit 1
cd usb-modeswitch-data-${DATAVER} || exit 1
chown -R root:root .
find . \